ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

## Class ContractAutopaymentMode.ContractAutopaymentModeAuto

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode
  - - ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode.ContractAutopaymentModeAuto

- Enclosing class:
    ContractAutopaymentMode

      public static class ContractAutopaymentMode.ContractAutopaymentModeAuto
      extends ContractAutopaymentMode

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

      `ContractAutopaymentMode.ContractAutopaymentModeAuto, ContractAutopaymentMode.ContractAutopaymentModePeriodic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractAutopaymentModeAuto()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getDaySum()`
    `java.math.BigDecimal` | `getDaySumMax()`
    `java.math.BigDecimal` | `getMonthSum()`
    `java.math.BigDecimal` | `getMonthSumMax()`
    `java.math.BigDecimal` | `getWeekSum()`
    `java.math.BigDecimal` | `getWeekSumMax()`
    `void` | `setDaySum(java.math.BigDecimal daySumDefault)`
    `void` | `setDaySumMax(java.math.BigDecimal daySumMax)`
    `void` | `setMonthSum(java.math.BigDecimal monthSumDefault)`
    `void` | `setMonthSumMax(java.math.BigDecimal monthSumMax)`
    `void` | `setWeekSum(java.math.BigDecimal weekSumDefault)`
    `void` | `setWeekSumMax(java.math.BigDecimal weekSumMax)`
    `void` | `toAutopayment(Autopayment autopayment)`
    `java.lang.String` | `toData()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

      `fromAutopayment, getContractAutopaymentMode, getMode, setMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractAutopaymentModeAuto

          public ContractAutopaymentModeAuto()

  - ### Method Detail

    - #### getDaySum

          public java.math.BigDecimal getDaySum()

    - #### setDaySum

          public void setDaySum(java.math.BigDecimal daySumDefault)

    - #### getDaySumMax

          public java.math.BigDecimal getDaySumMax()

    - #### setDaySumMax

          public void setDaySumMax(java.math.BigDecimal daySumMax)

    - #### getWeekSum

          public java.math.BigDecimal getWeekSum()

    - #### setWeekSum

          public void setWeekSum(java.math.BigDecimal weekSumDefault)

    - #### getWeekSumMax

          public java.math.BigDecimal getWeekSumMax()

    - #### setWeekSumMax

          public void setWeekSumMax(java.math.BigDecimal weekSumMax)

    - #### getMonthSum

          public java.math.BigDecimal getMonthSum()

    - #### setMonthSum

          public void setMonthSum(java.math.BigDecimal monthSumDefault)

    - #### getMonthSumMax

          public java.math.BigDecimal getMonthSumMax()

    - #### setMonthSumMax

          public void setMonthSumMax(java.math.BigDecimal monthSumMax)

    - #### toData

          public java.lang.String toData()

      Overrides:
        `toData` in class `ContractAutopaymentMode`

    - #### toAutopayment

          public void toAutopayment(Autopayment autopayment)

      Overrides:
        `toAutopayment` in class `ContractAutopaymentMode`